package com.smppw.common.pojo.dto.calc;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class IndicatorCalcPropertyDto {

    /**
     * 入参
     */
    private IndicatorCalcReqPropertyDto indicatorCalcReq = new IndicatorCalcReqPropertyDto();

    /**
     * 日期集合
     */
    private List<String> dateList = new ArrayList<>();

    /**
     * 标的的数据
     */
    private IndicatorCalcSecDataDto secData = new IndicatorCalcSecDataDto();

    /**
     * 基准的数据
     */
    private IndicatorCalcBenchmarkDataDto benchmarkData = new IndicatorCalcBenchmarkDataDto();

    /**
     * 指数的数据
     */
    private IndicatorCalcIndexDataDto indexData = new IndicatorCalcIndexDataDto();

    /**
     * 无风险收益
     */
    private IndicatorCalcRiskFreeDataDto riskFreeData = new IndicatorCalcRiskFreeDataDto();
}
